# eoBestFitnessStat< EOT > Class Template Reference

Best fitness of a population. More...

`#include <eoStat.h>`

Inheritance diagram for eoBestFitnessStat< EOT >:

List of all members.

## Public Types

typedef EOT::Fitness | Fitness

## Public Member Functions

| eoBestFitnessStat (std::string _description="Best ")
void | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.
virtual std::string | className (void) const

## Private Member Functions

template<class T>
void | doit (const eoPop< EOT > &_pop, eoParetoFitness< T >)
template<class T>
void | doit (const eoPop< EOT > &_pop, T)

## Detailed Description

### template<class EOT>
class eoBestFitnessStat< EOT >

Best fitness of a population.

Fitness can be:

- double
- eoMinimizingFitness or eoMaximizingFitness
- eoParetoFitness:

( For eoScalarFitnessAssembled look at eoAssembledFitnessStat )

Definition at line 316 of file eoStat.h.

The documentation for this class was generated from the following file:

- eoStat.h